Bug Hunting Session
Bug 44582 - RTL UI: Horizontal scrollbar in navigator window is broken
Summary: RTL UI: Horizontal scrollbar in navigator window is broken
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: Other All
: medium normal
Assignee: Abdulaziz Ayed
URL:
Whiteboard: BSA target:4.1.0 target:4.0.1 target:...
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2012-01-08 08:56 UTC by Yotam Benshalom
Modified: 2013-06-28 18:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yotam Benshalom 2012-01-08 08:56:06 UTC
Horizontal scrollbar in Writer Navigator window broken in RTL interface. No scroll handle is available, and the left and write arrows function incorrectly.

Steps to reproduce:
1. Using RTL interface, such as Hebrew, create a writer document and type one line of 10-15 words. Select the line and define its style to be "Title 1" (In Hebrew, כותרת 1).
2. Launch navigator window by pressing F5. Note that the line you type appears in the window, but it is truncated because it is too long to fit.
3. Try to view the entire line in the Navigator window by using the horizontal scrollbar at its bottom.

Current behavior:
1. The horizontal scrollbar shows no "handle" to drag.
2. Clicking on the arrows to the side of the horizontal scrollbar works, but inversely. The right arrow scrolls to the left, the left arrow scrolls to the right.

Expected behavior:
1. The horizontal scrollbar at the bottom of navigator window should show a handle when it is needed.
2. Clicking on the right arrow should scroll to the right, clicking on the left arrow should scroll to the left.
Comment 1 Yotam Benshalom 2012-01-09 06:33:33 UTC
This is not limited to writer. The navigator window exists in all Libreoffice apps. Also and more importantly, The main horizontal scrollbar in calc suffers from the same issue. 
This is confirmed by another user in Hebrew forums:
http://www.whatsup.co.il/index.php?name=PNphpBB2&file=viewtopic&t=58138

I think that this makes it a major bug.
Comment 2 Lior Kaplan 2012-01-10 03:06:01 UTC
Verified with 3.5.0beta2, changing status to new and blocking the RTL meta issue. 

Please open another issue regarding Calc, so it's importance and priority could change (which is less relevant for this issue).
Comment 3 Yotam Benshalom 2012-06-21 05:32:30 UTC
Problem still exists in Version 3.6.0beta1 (Build ID: 360m1(Build:11)).
Comment 4 Yotam Benshalom 2012-12-08 17:19:54 UTC
Still broken in version 3.6.4.3.
Comment 5 Abdulaziz Ayed 2013-01-20 11:32:10 UTC
Any update ?

I found one file that I think it is responsable about this issuse 
you can find it in vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx

this file have the function that will paint the scrollBar.

@I work under ubuntu Release 12.10 (quantal) 64-bit
GNOME 3.6.0
Comment 6 Abdulaziz Ayed 2013-01-22 08:56:57 UTC
I submit a patch fixing this bug, take  a look here 
https://gerrit.libreoffice.org/#/c/1806/
Comment 7 Not Assigned 2013-01-23 10:38:54 UTC
Abdulaziz A Alayed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8e82bd2109b82ddd535cdac30303249c6b62942

fdo#44582 fixing horizontal scroll bar in sub windows



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Lior Kaplan 2013-01-27 21:14:03 UTC
Verified on master, bug only happen with presence of the gnome integration...

Any reason not to cherry-pick to the 4-0 branch ?
Comment 9 Not Assigned 2013-01-30 08:34:27 UTC
Abdulaziz A Alayed committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0bf978f138728de6d20fc76f671c6b353565eb0b&h=libreoffice-4-0

fdo#44582 fixing horizontal scroll bar in sub windows


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-28 18:42:53 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3a801e2454eed2e61202bbacca01fe3fcc20c1d

fdo#44582: fix scrollbars in RTL UI



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.